NUMFMT(1)

NAVN
numfmt - Convert numbers from/to human-readable strings

OVERSIKT
numfmt [VALG]... [TALL]...

BESKRIVELSE

Omformater TALL, eller tall fra standard inndata hvis ingen TALL er valgt.

Argumenter som er obligatoriske for lange valg, er også obligatoriske for korte valg.

--debug
    Vis advarsler om ugyldig inndata.

-d, --delimiter=X
    Bruk X som felt-skilletegn, i stedet for tomrom.

--field=N
    Erstatt tallet i inndatafelt N (standard er 1); se FELT nedenfor.

--format=FORMAT
    Bruk flyttallsFORMAT i printf-stil; (les mer om FORMAT nedenfor).

--from=ENHET
    Skaler inndatatall til ønsket ENHET (standard er «none» - ingen); les mer om ENHETer nedenfor.

--from-unit=N
    Velg enhetsstørrelsen på inndata (i stedet for 1, som er standard).

--grouping
    Bruk regiontilpasset gruppering av tall, f.eks. «1,000,000»; (dette påvirker ikke C/POSIX-regioninnstillinger).

--header[=N]
    Skriv ut de N antall første overskriftslinjene uten å konvertere dem (N er 1, med mindre noe annet velges).

--invalid=MODUS
    Feilmodus for ugyldige tall. MODUS kan være én av følgende: «abort» (standard), «fail», «warn» eller «ignore».

--padding=N
    Utfyll utskriften til N antall tegn Positiv N gir høyrejustering, og negativ N venstrejustering. Teksten utfylles ikke hvis den allerede er bredere enn N. Standard metode er å ufylle automatisk hvis det finnes tomrom.

--round=METODE
    Bruk METODE for å runde av skalering. METODE kan være én av følgende: «up» (opp), «down» (ned), «from-zero» (fra null, standard), «towards-zero» (mot null) eller «nearest» (nærmeste heltall).

--suffix=SUFFIKS
    Legg til SUFFIKS i tall, og aksepter valgfrie SUFFIKSer i inndatatall.

--to=ENHET
    Auto-skaler utdatatall til ønskede ENHET(er) (les mer om ENHETer nedenfor).

--to-unit=N
    Enhetsstørrelse på utdata (i stedet for 1, som er standard).

-z, --zero-terminated
    Skill mellom linjer med NUL i stedet for linjeskift.

--help
    Vis denne hjelpeteksten og avslutt.

--version
    Vis versjonsinformasjon og avslutt.

  Valg av ENHET:

none
    ikke autoskaler (bruk av suffiks utløser feilsignal)

auto
    accept optional single/two letter suffix: 1K = 1000, 1k = 1000, 1Ki = 1024, 1M = 1000000, 1Mi = 1048576,

si  accept optional single letter suffix: 1k = 1000, 1K = 1000, 1M = 1000000, ...

iec accept optional single letter suffix: 1K = 1024, 1k = 1024, 1M = 1048576, ...

iec-i
    accept optional two-letter suffix: 1Ki = 1024, 1ki = 1024, 1Mi = 1048576, ...

  FELT støtter feltrekkevidder i cut(1)-stil:

N   N'te byte, tegn eller felt, talt fra 1

N-  fra N'te byte, tegn eller felt, til slutten av linja

N-M fra N'te til M'te (inklusive) byte, tegn eller felt

-M  fra første til M'te (inklusive) byte, tegn eller felt

-   alle felt

Hold ulike felt/rekkevidder adskilt med komma.

FORMAT må kunne brukes til å skrive ut flyttallsargumentet «%f». Valgfritt anførselstegn (%'f) slår på --grouping, hvis mulig i gjeldende region. Valgfri breddeverdi (%10f) fyller ut utskriften. Valgfri nullbredde (%010f) utfyller tallet mot null. Valgfrie negative verdier (%-10f) gir venstrejustering. Valgfri presisjon (%.1f) overstyrer presisjonsnivået som er valgt av inndata.

Avslutningsstatus er 0 hvis alle inndatatall er konvertert uten feil. numfmt stanser ved første konverteringsfeil med status 2 som standard. Ved valg av --invalid='fail' skrives det ut et advarsel for hver feil, og avslutningsstatus blir 2. Ved valg av --invalid='warn' blir alle feil undersøkt, men statusen forblir 0. Ved --invalid='ignore' ignoreres feil, og avslutningsstatusen forblir 0.

EKSEMPLER

    $ numfmt --to=si 1000

    -> "1.0k"

    $ numfmt --to=iec 2048

    -> «2.0K»

    $ numfmt --to=iec-i 4096

    -> «4.0Ki»

    $ echo 1K | numfmt --from=si

    -> «1000»

    $ echo 1K | numfmt --from=iec

    -> «1024»

    $ df -B1 | numfmt --header --field 2-4 --to=si
    $ ls -l | numfmt --header --field 5 --to=iec
    $ ls -lh | numfmt --header --field 5 --from=iec --padding=10
    $ ls -lh | numfmt --header --field 5 --from=iec --format %10f

OPPHAVSMANN
Skrevet av Assaf Gordon.

RAPPORTERING AV FEIL
Få hjelp til bruk av GNU coreutils på nett: <https://www.gnu.org/software/coreutils/>
Rapporter oversettelsesfeil til <https://translationproject.org/team/nb.html>

SE OGSÅ
Fullstendig dokumentasjon: <https://www.gnu.org/software/coreutils/numfmt>
eller lokalt: info '(coreutils) numfmt invocation'

Packaged by Debian (9.7-2)
Copyright © 2025 Free Software Foundation, Inc.
Lisens GPLv3+: GNU GPL versjon 3 eller senere <https://gnu.org/licenses/gpl.html>.
Dette er fri programvare. Du kan endre og dele den videre.
Det stilles INGEN GARANTI, i den grad dette tillates av gjeldende lovverk.

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.